> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom model deployments

> Fetch the list of custom model deployments. Pre-trained models are not returned in the response because they are deployed in all available regions.



## OpenAPI

````yaml /api-reference/saas/machine-learning-models.json get /customers/{DEPLOYMENT_ID}/ai/deployments
openapi: 3.1.0
info:
  title: Lucidworks AI Models API
  version: '1.0'
  description: >-
    The Lucidworks AI Models API is used to discover available pre-trained and
    custom models, as well as train and deploy those models.


    The endpoints require an authentication token with scope
    `machinelearning.model`.
  contact:
    name: Lucidworks
    url: https://lucidworks.com/
    email: support@lucidworks.com
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  license:
    name: Lucidworks
    url: https://lucidworks.com/legal/developer-license-agreement/
servers:
  - url: https://api.lucidworks.com
security: []
tags:
  - name: Manage models
    description: View and create models.
  - name: Manage deployments
    description: View and create custom model deployments.
paths:
  /customers/{DEPLOYMENT_ID}/ai/deployments:
    parameters:
      - schema:
          type: string
        name: DEPLOYMENT_ID
        in: path
        required: true
        description: Unique identifier generated when the model is deployed.
    get:
      tags:
        - Manage deployments
      summary: List custom model deployments
      description: >-
        Fetch the list of custom model deployments. Pre-trained models are not
        returned in the response because they are deployed in all available
        regions.
      operationId: get-deployments
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/getDeployments'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseGetDeployments'
components:
  schemas:
    getDeployments:
      title: getDeployments
      type: object
      description: GET https:/api.lucidworks.com/customers/{CUSTOMER_ID}/ai/deployments
    responseGetDeployments:
      title: responseGetDeployments
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            description: >-
              The identifier for the custom model. The value is the universally
              unique identified (UUID) that is the primary key for the model. 
          modelId:
            type: string
            description: >-
              The identifier for the deployed custom model. The value is the
              universally unique identified (UUID) reference the foreign keys
              for the model. 
          region:
            type: string
            description: The geographic region specified when the custom model is deployed.
          config:
            $ref: '#/components/schemas/deploymentConfig'
            description: >-
              The configuration parameters for model deployment passed to the
              workflow as a raw JSON blob. Multiple parameters can be defined
              and passed.
          minReplicas:
            type: integer
            description: The minimum value of Seldon replicas for the model.
            default: 1
            minimum: 1
          maxReplicas:
            type: integer
            description: The maximum value of Seldon replicas for the model.
            default: 1
            minimum: 1
          state:
            type: string
            description: >
              This field specifies the current status of the custom model
              deployment. Value options include:


              * `DEPLOYING` -The model is in the process of being deployed.


              * `DEPLOYED` - The model is deployed and available for
              predictions.


              * `DEPLOY_FAILED` - The model failed to deploy.


              * `DELETING` - The model deployment is being deleted. The
              `custom_model_deployment` record is also deleted if the deployment
              is successfully deleted.


              * `DELETE_FAILED` - The model deployment deletion failed. The
              model is still deployed and available for predictions.
          deployedAt:
            type: string
            format: date-time
            description: The date and time the deployment occurred.
          createdBy:
            type: string
            description: The user who created the deployment.
    deploymentConfig:
      title: deploymentConfig
      type: object
      properties:
        parameter_1:
          type: string
          description: >-
            A unique parameter for the model deployment that is passed to the
            workflow as a raw JSON blob.
        parameter_2:
          type: string
          description: >-
            A unique parameter for the model deployment that is passed to the
            workflow as a raw JSON blob.

````